Package org.apache.sling.scripting.api

# Interface ScriptNameAware

public interface ScriptNameAware
Marker interface for various `Reader`s from which a script's name can be obtained.

## Method Summary

Modifier and Type
Method
Description
`String`
`getScriptName()`
Returns the name of the script provided by a marked `Reader` implementation.

## Method Details

### getScriptName

String getScriptName()
Returns the name of the script provided by a marked `Reader` implementation.

Returns:
  the script's name